sbofind(1)

NAME

sbofind - search slackbuilds.org tree for a given name

SYNAPSES

sbofind [-h|-v] [-ir] search_term

DESCRIPTION

sbofind searches the names of all slackbuilds for a given term. It reports back any slackbuilds found along with the path for each. This is equivalent to running "cd /usr/ports; make search name=$search_term display=name,path" on a FreeBSD system. For a more general search, the slackbuilds.org site should be consulted, where tags also exist and are included in the searched fields.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-i|--info
    Show the contents of the .info file for each slackbuild found.

-r|--readme
    Show the contents of the README file for each slackbuild found.

EXIT CODES

sbofind can exit with the following exit codes:
    0: all operations were succesful.
    1: a usage error occured, ie sbofind was ran with nothing to find.
    6: sbofind was unable to obtain a required file handle.

BUGS

None known, but there may be some. Please report any found to https://github.com/pink-mist/sbotools/issues ; patches are always welcome.

SEE ALSO

sbocheck(1), sboclean(1), sboconfig(1), sboinstall(1), sboremove(1), sbosnap(1), sboupgrade(1), sbotools.conf(5)

AUTHORS

Jacob Pipkin <j@dawnrazor.net>

Luke Williams <xocel@iquidus.org>

Andreas Guldstrand <andreas.guldstrand@gmail.com>